#include "bits/stdc++.h"
#include "partition.h"
using namespace std;
#define ll long long
#define ff first
#define ss second
#define pb push_back
#define mod 1000000007
#define N 24
#define maxn 200005

// ll sm=0,answer=1e9;
// vector<pair<int,int> > v;
// vector<int> ans,cur;
// 
// void f(int id,ll sum){
	// if(sum>=sm and abs((int)v.size()-(int)(cur.size())*2)<answer){
		// ans.clear();
		// answer=abs((int)v.size()-(int)(cur.size())*2);
		// for(int i=0; i<cur.size(); i++)ans.pb(cur[i]);
		// return;
	// }
	// if(id==v.size())return;
	// f(id+1,sum);
	// cur.pb(v[id].ss);
	// f(id+1,sum+v[id].ff);
	// cur.pop_back();
// }

std::vector<int> solve(std::vector<int> A) {
	vector<int> aa;
	int l=0,r=A.size()-1;
	while(l<r){
		aa.pb(l);
		aa.pb(r);
		l++,r--;
	}
	if(l==r)aa.pb(l),swap(aa[aa.size()-1],aa[aa.size()/2]);
	// ans.clear();
	return aa;
}